Macro Remove parametric history/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Macro/it|Icon=Text-x-python|Name=Remove parametric history|Name/it=Remove parametric history|Description=Questa operazione rimuove tutte le associazioni parametriche da un o...")
(Created page with "Questa operazione rimuove tutte le associazioni parametriche da un oggetto, lasciandolo come ''muto''")
Line 1: Line 1:
{{Macro/it|Icon=Text-x-python|Name=Remove parametric history|Name/it=Remove parametric history|Description=Questa operazione rimuove tutte le associazioni parametriche da un oggetto, lasciandolo come ''muto''|Author=Yorik}}
{{Macro/it|Icon=Text-x-python|Name=Remove parametric history|Name/it=Remove parametric history|Description=Questa operazione rimuove tutte le associazioni parametriche da un oggetto, lasciandolo come ''muto''|Author=Yorik}}


Questa operazione rimuove tutte le associazioni parametriche da un oggetto, lasciandolo come ''muto''
This will remove all parametric associativity from an object, leaving it as a "dumb" shape





Revision as of 20:18, 1 January 2014

File:Text-x-python Remove parametric history

Descrizione
Questa operazione rimuove tutte le associazioni parametriche da un oggetto, lasciandolo come muto

Autore: Yorik
Autore
Yorik
Download
None
Link
Versione macro
1.0
Data ultima modifica
None
Versioni di FreeCAD
None
Scorciatoia
Nessuna
Vedere anche
Nessuno

Questa operazione rimuove tutte le associazioni parametriche da un oggetto, lasciandolo come muto


 newShape = originalObject.Shape.copy()
 newName = FreeCAD.ActiveDocument.ActiveObject.Name
 FreeCAD.ActiveDocument.removeObject(newName)
 newObject = FreeCAD.ActiveDocument.addObject("Part::Feature",newName)
 newObject.Shape = newShape